// soap12testsvcrpc.cpp : Implementation of DLL Exports.

#include "stdafx.h"
#include "resource.h"
#include "soap12testsvcrpc.h"

class Csoap12testsvcrpcModule : public CAtlDllModuleT< Csoap12testsvcrpcModule >
{
public :
	DECLARE_LIBID(LIBID_soap12testsvcrpcLib)
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_SOAP12TESTSVCRPC, "{BA32833A-89EF-4FAA-9EE7-E03292CA7E9C}")
};

Csoap12testsvcrpcModule _AtlModule;


// DLL Entry Point
extern "C" BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	hInstance;
    return _AtlModule.DllMain(dwReason, lpReserved); 
}


// Used to determine whether the DLL can be unloaded by OLE
STDAPI DllCanUnloadNow(void)
{
    return _AtlModule.DllCanUnloadNow();
}


// Returns a class factory to create an object of the requested type
STDAPI DllGetClassObject(REFCLSID rclsid, REFIID riid, LPVOID* ppv)
{
    return _AtlModule.DllGetClassObject(rclsid, riid, ppv);
}


// DllRegisterServer - Adds entries to the system registry
STDAPI DllRegisterServer(void)
{
    // registers object, typelib and all interfaces in typelib
    HRESULT hr = _AtlModule.DllRegisterServer();
	return hr;
}


// DllUnregisterServer - Removes entries from the system registry
STDAPI DllUnregisterServer(void)
{
	HRESULT hr = _AtlModule.DllUnregisterServer();
	return hr;
}
